Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.spi.mpeg.sampled.convert
Class DecodedMpegAudioInputStream

    java.lang.Object
      java.io.InputStream
          javax.sound.sampled.AudioInputStream
              org.tritonus.share.sampled.convert.TAudioInputStream
                  org.tritonus.share.sampled.convert.TAsynchronousFilteredAudioInputStream
                      javazoom.spi.mpeg.sampled.convert.DecodedMpegAudioInputStream

All Implemented Interfaces:
  java.util.EventListener, PropertiesContainer, TagParseListener, org.tritonus.share.TCircularBuffer.Trigger

public class DecodedMpegAudioInputStream
extends org.tritonus.share.sampled.convert.TAsynchronousFilteredAudioInputStream
implements PropertiesContainer, TagParseListener

Main decoder.

Field Summary

Fields inherited from class javax.sound.sampled.AudioInputStream
`format, frameLength, framePos, frameSize`

Constructor Summary
`DecodedMpegAudioInputStream(javax.sound.sampled.AudioFormat outputFormat, javax.sound.sampled.AudioInputStream inputStream)`

Method Summary
`void` | `close()`
`void` | `execute()`
`java.util.Map` | `properties()` Return dynamic properties.
`long` | `skip(long bytes)`
`long` | `skipFrames(long frames)` Skip frames.
`void` | `tagParsed(TagParseEvent tpe)` Called when a tag is found (parsed from the stream, received via UDP, etc.)

Methods inherited from class org.tritonus.share.sampled.convert.TAsynchronousFilteredAudioInputStream
`available, getCircularBuffer, mark, markSupported, read, read, read, reset, writeMore`

Methods inherited from class org.tritonus.share.sampled.convert.TAudioInputStream
`setProperty`

Methods inherited from class javax.sound.sampled.AudioInputStream
`getFormat, getFrameLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecodedMpegAudioInputStream

    public DecodedMpegAudioInputStream(javax.sound.sampled.AudioFormat outputFormat,
                                       javax.sound.sampled.AudioInputStream inputStream)

Method Detail

### properties

    public java.util.Map properties()

  Return dynamic properties.
  - mp3.frame [Long], current frame position.
  - mp3.frame.bitrate [Integer], bitrate of the current frame.
  - mp3.frame.size.bytes [Integer], size in bytes of the current frame.
  - mp3.position.byte [Long], current position in bytes in the stream.
  - mp3.position.microseconds [Long], elapsed microseconds.
  - mp3.equalizer float[32], interactive equalizer array, values could be in [-1.0, +1.0].
  - mp3.shoutcast.metadata.key [String], Shoutcast meta key with matching value.
    For instance :
    mp3.shoutcast.metadata.StreamTitle=Current song playing in stream.
    mp3.shoutcast.metadata.StreamUrl=Url info.

  Specified by:
    `properties` in interface `PropertiesContainer`

### execute

    public void execute()

  Specified by:
    `execute` in interface `org.tritonus.share.TCircularBuffer.Trigger`

### skip

    public long skip(long bytes)

### skipFrames

    public long skipFrames(long frames)

  Skip frames. You don't need to call it severals times, it will exactly skip given frames number.

  Parameters:
    `frames` -
  Returns:
    bytes length skipped matching to frames skipped.

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### tagParsed

    public void tagParsed(TagParseEvent tpe)

  Description copied from interface: `TagParseListener`
  Called when a tag is found (parsed from the stream, received via UDP, etc.)

  Specified by:
    `tagParsed` in interface `TagParseListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005